package com.bwie.room.mapper;

import com.bwie.common.domain.Log;
import com.bwie.common.domain.Mouth;
import com.bwie.common.domain.Room;
import com.bwie.common.domain.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Mapper
public interface RoomMapper {
    //列表展示
    List<Room>findRoomList(@Param("rentId") Integer rentId, @Param("roomName") String roomName, @Param("roomPrice") Integer roomPrice);
    //租房
    Integer updRentStatusById(@Param("roomId") Integer roomId);
    //回显
    Room findById(@Param("roomId") Integer roomId);
    //签约时长下拉框
    List<Mouth>mouthList();
    //添加记录表
    Integer addLog(Log log);
//    如果已经存在租房记录
   Integer stop(@Param("userId") Integer userId);

    List<Log> logList();
    //审核驳回
    Integer updLogByIdOne(@Param("logId") Integer logId);
    //审核通过
    Integer updLogByIdTwo(@Param("logId") Integer logId);



}
