package com.bwie.room.service;

import com.bwie.common.domain.Log;
import com.bwie.common.domain.Mouth;
import com.bwie.common.domain.Room;

import java.util.List;

public interface RoomService {
    //列表展示
    List<Room> findRoomList(Integer rentId, String roomName, Integer roomPrice);
    //租房
    Integer updRentStatusById(Integer roomId);
    //回显
    Room findById(Integer roomId);
    //签约时长下拉框
    List<Mouth>mouthList();
    //添加记录表
    Integer addLog(Log log);
    //    如果已经存在租房记录
    Integer stop(Integer userId);

    List<Log> logList();

    //审核驳回
    Integer updLogByIdOne(Integer logId);
    //审核通过
    Integer updLogByIdTwo(Integer logId);
}
