package com.bwie.room.service.impl;

import com.bwie.common.domain.Log;
import com.bwie.common.domain.Mouth;
import com.bwie.common.domain.Room;
import com.bwie.room.mapper.RoomMapper;
import com.bwie.room.service.RoomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RoomServiceImpl implements RoomService {
    @Autowired
    private RoomMapper roomMapper;
    @Override
    public List<Room> findRoomList(Integer rentId, String roomName, Integer roomPrice) {
        return roomMapper.findRoomList( rentId,roomName,roomPrice );
    }
    //租房
    @Override
    public Integer updRentStatusById(Integer roomId) {
        return roomMapper.updRentStatusById( roomId );
    }

    @Override
    public Room findById(Integer roomId) {
        return roomMapper.findById(roomId);
    }
    //签约时长下拉框
    @Override
    public List<Mouth> mouthList() {
        return roomMapper.mouthList();
    }

    @Override
    public Integer addLog(Log log) {
        return roomMapper.addLog( log );
    }

    @Override
    public Integer stop(Integer userId) {
        return roomMapper.stop( userId );
    }

    @Override
    public List<Log> logList() {
        return roomMapper.logList();
    }

    @Override
    public Integer updLogByIdOne(Integer logId) {
        return roomMapper.updLogByIdOne( logId );
    }

    @Override
    public Integer updLogByIdTwo(Integer logId) {
        return roomMapper.updLogByIdTwo( logId );
    }
}
